## ros-eloquent-rmw-fastrtps-shared-cpp 0.8.2

=== CMakeLists.txt ===
# Copyright 2016-2018 Proyectos y Sistemas de Mantenimiento SL (eProsima).
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

cmake_minimum_required(VERSION 3.5)

project(rmw_fastrtps_shared_cpp)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wthread-safety)
endif()

if(SECURITY)
  find_package(OpenSSL REQUIRED)
endif()

find_package(ament_cmake_ros REQUIRED)

find_package(rcpputils REQUIRED)
find_package(rcutils REQUIRED)

find_package(fastrtps_cmake_module REQUIRED)
find_package(fastcdr REQUIRED CONFIG)
find_package(fastrtps REQUIRED CONFIG)
find_package(FastRTPS REQUIRED MODULE)

find_package(rmw REQUIRED)
include_directories(include)

add_library(rmw_fastrtps_shared_cpp
  src/custom_publisher_info.cpp
  src/custom_subscriber_info.cpp
  src/demangle.cpp
  src/namespace_prefix.cpp
  src/qos.cpp
  src/rmw_client.cpp
  src/rmw_compare_gids_equal.cpp
  src/rmw_count.cpp
  src/rmw_get_gid_for_publisher.cpp
  src/rmw_guard_condition.cpp
  src/rmw_logging.cpp
  src/rmw_node.cpp
  src/rmw_node_info_and_types.cpp
  src/rmw_node_names.cpp
  src/rmw_publish.cpp
  src/rmw_publisher.cpp
  src/rmw_request.cpp
  src/rmw_response.cpp
  src/rmw_service.cpp
  src/rmw_service_names_and_types.cpp
  src/rmw_service_server_is_available.cpp
  src/rmw_subscription.cpp
  src/rmw_take.cpp
  src/rmw_topic_names_and_types.cpp
  src/rmw_trigger_guard_condition.cpp
  src/rmw_wait.cpp
  src/rmw_wait_set.cpp
  src/TypeSupport_impl.cpp
)

target_link_libraries(rmw_fastrtps_shared_cpp
  fastcdr fastrtps
)

# specific order: dependents before dependencies
ament_target_dependencies(rmw_fastrtps_shared_cpp
  "rcpputils"
  "rcutils"
  "rmw"
)

# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(${PROJECT_NAME}
PRIVATE "RMW_FASTRTPS_SHARED_CPP_BUILDING_LIBRARY")

# specific order: dependents before dependencies
ament_export_include_directories(include)
ament_export_libraries(rmw_fastrtps_shared_cpp)

ament_export_dependencies(rcpputils)
ament_export_dependencies(rcutils)
ament_export_dependencies(rmw)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
  add_subdirectory(test)
endif()

ament_package(
  CONFIG_EXTRAS_POST "rmw_fastrtps_shared_cpp-extras.cmake"
)

install(
  DIRECTORY include/
  DESTINATION include
)

install(
  TARGETS rmw_fastrtps_shared_cpp
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

=== test/CMakeLists.txt ===
find_package(ament_cmake_gtest REQUIRED)
ament_add_gtest(test_dds_attributes_to_rmw_qos test_dds_attributes_to_rmw_qos.cpp)
if(TARGET test_dds_attributes_to_rmw_qos)
    ament_target_dependencies(test_dds_attributes_to_rmw_qos)
    target_link_libraries(test_dds_attributes_to_rmw_qos ${PROJECT_NAME})
endif()

=== debian/changelog ===
ros-eloquent-rmw-fastrtps-shared-cpp (0.8.2-1bionic) bionic; urgency=high

  * Remove unused headers MessageTypeSupport.hpp and ServiceTypeSupport.hpp (#481 <https://github.com/ros2/rmw_fastrtps/issues/481>) (#483 <https://github.com/ros2/rmw_fastrtps/issues/483>)
  * Update maintainer list for Eloquent (#473 <https://github.com/ros2/rmw_fastrtps/issues/473>)
  * Contributors: Jacob Perron, Michael Jeronimo

 -- Michel Hidalgo <michel@ekumenlabs.com>  Fri, 04 Dec 2020 06:00:00 -0000

ros-eloquent-rmw-fastrtps-shared-cpp (0.8.1-1bionic) bionic; urgency=high

  * Restrict traffic to localhost only if env var is provided (#331 <https://github.com/ros2/rmw_fastrtps/issues/331>)
  * Added new functions which can be used to get rmw_qos_profile_t from WriterQos and ReaderQos (#328 <https://github.com/ros2/rmw_fastrtps/issues/328>)
  * Renamed dds_qos_to_rmw_qos to dds_attributes_to_rmw_qos (#330 <https://github.com/ros2/rmw_fastrtps/issues/330>)
  * Contributors: Brian Marchi, jaisontj

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 23 Oct 2019 05:00:00 -0000

ros-eloquent-rmw-fastrtps-shared-cpp (0.8.0-1bionic) bionic; urgency=high

  * Correct error message (#320 <https://github.com/ros2/rmw_fastrtps/issues/320>)
  * Return specific error code when node is not found (#311 <https://github.com/ros2/rmw_fastrtps/issues/311>)
  * Correct linter failure (#318 <https://github.com/ros2/rmw_fastrtps/issues/318>)
  * Fix bug in graph API by node (#316 <https://github.com/ros2/rmw_fastrtps/issues/316>)
  * fix method name change from 1.8.1->1.9.0 (#302 <https://github.com/ros2/rmw_fastrtps/issues/302>)
  * Add missing lock guards for discovered_names and discovered_namespaces (#301 <https://github.com/ros2/rmw_fastrtps/issues/301>)
  * Add function for getting clients by node (#293 <https://github.com/ros2/rmw_fastrtps/issues/293>)
  * Enable manual_by_node and node liveliness assertion (#298 <https://github.com/ros2/rmw_fastrtps/issues/298>)
  * Enable assert liveliness on publisher. (#296 <https://github.com/ros2/rmw_fastrtps/issues/296>)
  * Use rcpputils::find_and_replace instead of std::regex_replace (#291 <https://github.com/ros2/rmw_fastrtps/issues/291>)
  * Fix a comparison with a sign mismatch (#288 <https://github.com/ros2/rmw_fastrtps/issues/288>)
  * Implement get_actual_qos() for subscriptions (#287 <https://github.com/ros2/rmw_fastrtps/issues/287>)
  * add missing qos setings in get_actual_qos() (#284 <https://github.com/ros2/rmw_fastrtps/issues/284>)
  * Fix ABBA deadlock.
  * Contributors: Chris Lalancette, Emerson Knapp, Jacob Perron, M. M, Scott K Logan, William Woodall, ivanpauno

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 25 Sep 2019 05:00:00 -0000

ros-eloquent-rmw-fastrtps-shared-cpp (0.7.3-1bionic) bionic; urgency=high

  * Protection of discovered_names and discovered_namespaces (#283 <https://github.com/ros2/rmw_fastrtps/issues/283>)
  * Disable all liveliness until it is actually supported (#282 <https://github.com/ros2/rmw_fastrtps/issues/282>)
  * Contributors: Emerson Knapp, MiguelCompany

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 29 May 2019 05:00:00 -0000

ros-eloquent-rmw-fastrtps-shared-cpp (0.7.2-1bionic) bionic; urgency=high

  * fix log_debug typo in rmw_count (#279 <https://github.com/ros2/rmw_fastrtps/issues/279>)
  * Fastrtps18 event callbacks policies (#275 <https://github.com/ros2/rmw_fastrtps/issues/275>)
  * Centralize topic name creation logic and update to match FastRTPS 1.8 API (#272 <https://github.com/ros2/rmw_fastrtps/issues/272>)
  * Contributors: 1r0b1n0, Emerson Knapp, Nick Burek

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 20 May 2019 05:00:00 -0000

ros-eloquent-rmw-fastrtps-shared-cpp (0.7.1-1bionic) bionic; urgency=high

  * Support arbitrary message namespaces  (#266 <https://github.com/ros2/rmw_fastrtps/issues/266>)
  * Set more correct return values for unimplemented features (#276 <https://github.com/ros2/rmw_fastrtps/issues/276>)
  * Add qos interfaces with no-op (#271 <https://github.com/ros2/rmw_fastrtps/issues/271>)
  * Updates for preallocation API. (#274 <https://github.com/ros2/rmw_fastrtps/issues/274>)
  * Fix logging in rmw_node_info_and_types.cpp (#273 <https://github.com/ros2/rmw_fastrtps/issues/273>)
  * Contributors: Emerson Knapp, Jacob Perron, Michael Carroll, Ross Desmond, Thomas Moulard

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 08 May 2019 05:00:00 -0000

ros-eloquent-rmw-fastrtps-shared-cpp (0.7.0-1bionic) bionic; urgency=high

  * Thread safety annotation - minimally intrusive first pass (#259 <https://github.com/ros2/rmw_fastrtps/issues/259>)
  * Add function to get publisher actual qos settings (#267 <https://github.com/ros2/rmw_fastrtps/issues/267>)
  * Fixed race condition between taking sample and updating counter. (#264 <https://github.com/ros2/rmw_fastrtps/issues/264>)
  * Fix cpplint error
  * change count type to size_t to avoid warning (#262 <https://github.com/ros2/rmw_fastrtps/issues/262>)
  * update listener logic for accurate counting (#262 <https://github.com/ros2/rmw_fastrtps/issues/262>)
  * Make sure to include the C++ headers used by these headers. (#256 <https://github.com/ros2/rmw_fastrtps/issues/256>)
  * pass context to wait set and fini context (#252 <https://github.com/ros2/rmw_fastrtps/issues/252>)
  * Improve service_is_available logic to protect that client is waiting forever (#238 <https://github.com/ros2/rmw_fastrtps/issues/238>)
  * Merge pull request #250 <https://github.com/ros2/rmw_fastrtps/issues/250> from ros2/support_static_lib
  * use namespace_prefix from shared package
  * make namespace_prefix header public
  * Use empty() to check for an empty string (#247 <https://github.com/ros2/rmw_fastrtps/issues/247>)
  * We can compare a std::string with a const char* using operator==, simplifies the code (#248 <https://github.com/ros2/rmw_fastrtps/issues/248>)


=== debian/control ===
Source: ros-eloquent-rmw-fastrtps-shared-cpp
Section: misc
Priority: optional
Maintainer: Michel Hidalgo <michel@ekumenlabs.com>
Build-Depends: debhelper (>= 9.0.0), ros-eloquent-ament-cmake-ros, ros-eloquent-ament-lint-auto, ros-eloquent-ament-lint-common, ros-eloquent-fastcdr, ros-eloquent-fastrtps, ros-eloquent-fastrtps-cmake-module, ros-eloquent-rcpputils, ros-eloquent-rcutils, ros-eloquent-rmw, ros-eloquent-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-eloquent-rmw-fastrtps-shared-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-eloquent-ament-cmake, ros-eloquent-fastcdr, ros-eloquent-fastrtps, ros-eloquent-fastrtps-cmake-module, ros-eloquent-rcpputils, ros-eloquent-rcutils, ros-eloquent-rmw, ros-eloquent-ros-workspace
Description: Code shared on static and dynamic type support of rmw_fastrtps_cpp.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/eloquent/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/eloquent" \
		-DAMENT_PREFIX_PATH="/opt/ros/eloquent" \
		-DCMAKE_PREFIX_PATH="/opt/ros/eloquent"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-eloquent-rmw-fastrtps-shared-cpp//opt/ros/eloquent/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_install
